> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firedrill.run/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1organizationbuild retention



## OpenAPI

````yaml /api-reference/openapi.json put /v1/organization/build-retention
openapi: 3.1.0
info:
  title: Firedrill Control API
  version: 1.0.0
  description: >-
    The control plane for drills, drill runs, and the worlds they run in. Errors
    always carry the canonical envelope; unsafe operations require an
    Idempotency-Key; long work returns an operation resource.
servers:
  - url: https://api.firedrill.run
security:
  - controlCredential: []
paths:
  /v1/organization/build-retention:
    put:
      tags:
        - Organization
      operationId: organizationBuildRetentionUpdate
      parameters:
        - name: Idempotency-Key
          in: header
          required: true
          schema:
            type: string
            minLength: 8
            maxLength: 128
            pattern: ^[A-Za-z0-9._:-]+$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateOrganizationBuildRetentionRequest'
      responses:
        '200':
          description: Updated unreferenced build retention policy
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationBuildRetentionPolicy'
        default:
          description: Canonical error envelope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
components:
  schemas:
    UpdateOrganizationBuildRetentionRequest:
      type: object
      properties:
        buildRetentionDays:
          nullable: true
          type: integer
          minimum: 1
          maximum: 36500
        expectedVersion:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
      required:
        - buildRetentionDays
        - expectedVersion
      additionalProperties: false
    OrganizationBuildRetentionPolicy:
      type: object
      properties:
        schemaVersion:
          type: number
          enum:
            - 1
        organizationId:
          type: string
          pattern: ^org_[0-9a-z]{12,32}$
        buildRetentionDays:
          nullable: true
          type: integer
          minimum: 1
          maximum: 36500
        version:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
      required:
        - schemaVersion
        - organizationId
        - buildRetentionDays
        - version
      additionalProperties: false
    ErrorEnvelope:
      type: object
      properties:
        code:
          type: string
          pattern: ^(control|world)\.[A-Z][A-Z0-9]*(_[A-Z0-9]+)*$
        message:
          type: string
          minLength: 1
        correlationId:
          type: string
          minLength: 1
        retryable:
          type: boolean
        retryAfterMs:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        operationId:
          type: string
        source:
          type: string
          enum:
            - platform
            - simulated_provider
        issues:
          type: array
          items:
            type: object
            properties:
              path:
                type: string
              code:
                type: string
              message:
                type: string
            required:
              - path
              - code
              - message
            additionalProperties: false
        details:
          type: object
          propertyNames:
            type: string
          additionalProperties: {}
        evidence:
          type: object
          properties:
            sessionId:
              type: string
            runId:
              type: string
            journalSeq:
              type: integer
              minimum: 0
              maximum: 9007199254740991
            buildHash:
              type: string
          additionalProperties: false
      required:
        - code
        - message
        - correlationId
        - retryable
        - source
      additionalProperties: true
  securitySchemes:
    controlCredential:
      type: http
      scheme: bearer
      description: Opaque control credential

````